Bug 1457697 (CVE-2017-9330)

Summary: CVE-2017-9330 Qemu: usb: ohci: infinite loop due to incorrect return value
Product: [Other] Security Response Reporter: Prasad J Pandit <ppandit>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: ailan, amit, apevec, ayoung, berrange, cfergeau, chrisw, cvsbot-xmlrpc, ddepaula, drjones, dwmw2, imammedo, itamar, jen, jjoyce, jschluet, kbasil, knoel, lhh, lpeer, markmc, m.a.young, mburns, mkenneth, mrezanin, mst, pbonzini, rbryant, rjones, rkrcmar, robinlee.sysu, sclewis, slinaber, srevivo, tdecacqu, virt-maint, virt-maint, vkuznets, xen-maint
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:13:54 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1457698, 1457699    
Bug Blocks: 1349336    

Description Prasad J Pandit 2017-06-01 07:24:14 UTC
Quick Emulator built with the USB OHCI Emulation support is vulnerable to an
infinite loop issue. It could occur while processing an endpoint list
descriptor in ohci_service_ed_list().

A guest user/process could use this flaw to crash Qemu process resulting in DoS.

Upstream patch:
---------------
  -> http://git.qemu.org/?p=qemu.git;a=commitdiff;h=26f670a244982335cc08943fb1ec099a2c81e42d

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2017/06/01/3

Comment 1 Prasad J Pandit 2017-06-01 07:24:54 UTC
Acknowledgments:

Name: Li Qiang (Qihoo 360 Gear Team)

Comment 2 Prasad J Pandit 2017-06-01 07:26:41 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1457698]

Comment 3 Prasad J Pandit 2017-06-01 07:27:03 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1457699]

Comment 4 Fedora Update System 2017-07-25 21:27:05 UTC
qemu-2.7.1-7.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.